<? 
require_once('../../conf/connection.php');
$enviar=$_POST["enviar"];
  if(isset($enviar))
  {
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $numero=stripslashes($_POST["numero"]);//numero de pedido
	  $codigo=stripslashes($_POST["codigo"]);//codigo del producto
	  $cantidad=1;//cantidad de venta
	  $stock=stripslashes($_POST["stock"]);// estock de BD 
      $mesa=stripslashes($_POST["mesa"]);//mesa
	 
	  $obs=stripslashes($_POST["obs"]);//observaciones
	  
	  $ventana=stripslashes($_POST["ventana"]);
      $fecha=date("Y-m-d");
	  
//extraemos el precio del producto

$query_unit="SELECT * FROM platos WHERE idplatos='$codigo'";
$res_unit=mysql_query($query_unit);
$valor_unit=mysql_result($res_unit,0,"precio_plato");
$grupos=mysql_result($res_unit,0,"idgrupos");// grupo

// multiplicamos cantidad por precio

$valor_total=$cantidad*$valor_unit; 

         //insertamos pedidod a la base de datos 
         $insertar="insert into detalles_pedido (iddetalles_pedido, cantidad, valor_unitario, valor_total, idplatos, numero,obs,grupo) 
		 values (";
		 $insertar.="\"\", \"$cantidad\", \"$valor_unit\", \"$valor_total\",\"$codigo\",\"$numero\",\"$obs\",\"$grupos\")";       
         mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());

        //restamos al inventario 
 			 $sel_articulos="UPDATE platos SET stock_plato=(stock_plato-'$cantidad') WHERE idplatos='$codigo'";
		     $rs_articulos=mysql_query($sel_articulos);
        
		//registramos cartola
		
		    $query_operacion="INSERT INTO  cartola_historica  (num_linea,fecha,tipo_doc,glosa,entrada,salida,art,pedido)  	 
			VALUES ('','$fecha','$tipo','','','$cantidad','$codigo','$numero')";					
	        $rs_operacion=mysql_query($query_operacion);
            

			mysql_close($conn);
		?>
        <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../pedido.php?numero=<? echo $numero ?>&mesa=<? echo $mesa?>
        &grupos=<? echo $grupos ?>&ventana=<? echo $ventana ?>"> 
         <? 
		
  }
  else{
	  ?><script>alert("ERROR:no se ingrasaron los datos");window.back()</script> <? }
?>